package.path = "lualib/3rd/misc/?.lua;lualib-src/?.lua;" .. package.path
package.cpath = ";luaclib/?.so;skynet/luaclib/?.so;"

-- lua ffi 库
-- https://github.com/q66/cffi-lua

local snapshot = require "snapshot"
print("snapshot", snapshot)

local cjson = require "cjson"
print("cjson", cjson)

local lfs = require "lfs"
print("lfs", lfs)

local shiftimer = require "shiftimer.c"
print("shiftimer", shiftimer)

local skiplist = require "skiplist.c"
print("skiplist", skiplist)

local profile = require "profile.c"
print("profile", profile)

local clua = require "clua"
print("clua", clua)

local rc4 = require "rc4.c"
print("rc4", rc4)

local termfx = require "termfx"
print("termfx", termfx)

local socket = require "socket.core"
print("socket", socket)

local skipset = require "skipset.c"
print("skipset", skipset)

local math3d = require "math3d"
print("math3d", math3d)

local ffi = require("cffi")
if ffi.abi("64bit") then
    assert(ffi.sizeof("void *") == 8)
elseif ffi.abi("32bit") then
    assert(ffi.sizeof("void *") == 4)
end
print("ffi", ffi)

local syslog = require 'lsyslog'
print("syslog", syslog)

require("lua-ecs.test")
